Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsat.v200410
Class CoordinatorPortTypeImpl

    java.lang.Object
      com.atomikos.icatch.jaxb.wsc.v200410.AbstractBinding
          com.atomikos.icatch.jaxb.wsat.v200410.CoordinatorPortTypeImpl

All Implemented Interfaces:
  CoordinatorPortType

    public class CoordinatorPortTypeImpl

extends AbstractBinding
implements CoordinatorPortType

Implementation of the coordinator.

Field Summary

Fields inherited from class com.atomikos.icatch.jaxb.wsc.v200410.AbstractBinding
`ctx`

Constructor Summary
`CoordinatorPortTypeImpl()`

Method Summary
`void` | `abortedOperation(Notification parameters)`
`void` | `committedOperation(Notification parameters)`
`void` | `preparedOperation(Notification parameters)`
`void` | `readOnlyOperation(Notification parameters)`
`void` | `replayOperation(Notification parameters)`

Methods inherited from class com.atomikos.icatch.jaxb.wsc.v200410.AbstractBinding
`findTransaction, getMessageContext, getSenderAddress, getSenderURI, getTargetAddress, getTargetURI, logMessageIfDebug, sendInvalidParametersFault, sendInvalidProtocolFault, sendInvalidStateFault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoordinatorPortTypeImpl

    public CoordinatorPortTypeImpl()

Method Detail

### committedOperation

    public void committedOperation(Notification parameters)

  Specified by:
    `committedOperation` in interface `CoordinatorPortType`

### preparedOperation

    public void preparedOperation(Notification parameters)

  Specified by:
    `preparedOperation` in interface `CoordinatorPortType`

### abortedOperation

    public void abortedOperation(Notification parameters)

  Specified by:
    `abortedOperation` in interface `CoordinatorPortType`

### replayOperation

    public void replayOperation(Notification parameters)

  Specified by:
    `replayOperation` in interface `CoordinatorPortType`

### readOnlyOperation

    public void readOnlyOperation(Notification parameters)

  Specified by:
    `readOnlyOperation` in interface `CoordinatorPortType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.